Subject: Re: [MMUSIC] [mmusic] #2: Rules for Answerer payload type selection

From: Hadriel Kaplan <[email-masked]>
Date: Mon, 12 Mar 2012 16:29:05 +0000

I propose we remove the payload types from the:
a=<loopback-mode>:<fmt> …
attribute, because they are repetitive and complicate the logic, since it's bizarre to not have them match the m-line (other than for the encap mode, but that has its own rtpmap anyway).

So I propose the offer/answer just have this:
a=loopback-source
Or
a=loopback-mirror
without specifying the payload types in those attributes - just use the m-line like normal SDP.

-hadriel

On Nov 22, 2011, at 3:47 AM, mmusic issue tracker wrote:

> #2: Rules for Answerer payload type selection
> 
> From Magnus:
> 
> Section 5.4
> I am missing clear rules for the cases when I might exclude payload
> types from loopback-mode attributes compared to the m= lines. Are this
> only the loopback payload types? What happens if I exclude a regular
> media payload format?
> 
> -- 
> -----------------------------+------------------------
> Reporter:  hkaplan@…        |      Owner:  hkaplan@…
>     Type:  defect           |     Status:  new
> Priority:  major            |  Milestone:  milestone1
> Component:  media-loopback   |    Version:  1.0
> Severity:  In WG Last Call  |   Keywords:
> -----------------------------+------------------------
> 
> Ticket URL: <http://trac.tools.ietf.org/wg/mmusic/trac/ticket/2>
> mmusic <http://tools.ietf.org/mmusic/>
>